Bug 242745 - Internal Server Error
Summary: Internal Server Error
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
: ---
Assignee: Clifford Perry
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 16:02 UTC by Aldo Mantovani
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-02 18:06:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aldo Mantovani 2007-06-05 16:02:09 UTC
Description of problem:

% cat /var/log/up2date
.....
[Tue Jun  5 17:44:43 2007] up2date Updating package profile
[Tue Jun  5 17:45:31 2007] up2date A protocol error occurred: Internal Server
Error , attempt #1,
[Tue Jun  5 17:46:15 2007] up2date A protocol error occurred: Internal Server
Error , attempt #2,
[Tue Jun  5 17:47:03 2007] up2date A protocol error occurred: Internal Server
Error , attempt #3,
[Tue Jun  5 17:47:33 2007] up2date A protocol error occurred: Internal Server
Error , attempt #4,
[Tue Jun  5 17:48:11 2007] up2date A protocol error occurred: Internal Server
Error , attempt #5,
[Tue Jun  5 17:48:11 2007] up2date Error communicating with server. The message was:
Internal Server Error
[Tue Jun  5 17:48:11 2007] up2date 
Traceback (most recent call last):
  File "/usr/sbin/rhn-profile-sync", line 54, in ?
    cli.run()
  File "/usr/share/rhn/up2date_client/rhncli.py", line 65, in run
    sys.exit(self.main() or 0)
  File "/usr/sbin/rhn-profile-sync", line 42, in main
    rhnPackageInfo.updatePackageProfile()
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 27, in
updatePackageProfile
    rpmUtils.getInstalledPackageList(getArch=1))
  File "/usr/share/rhn/up2date_client/rhnserver.py", line 50, in __call__
    return rpcServer.doCall(method, *args, **kwargs)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 263, in doCall
    raise up2dateErrors.CommunicationError(e.errmsg)
up2date_client.up2dateErrors.CommunicationError: Error communicating with
server. The message was:
Internal Server Error


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. /usr/sbin/rhn-profile-sync -v
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Red Hat Bugzilla 2007-10-26 00:52:22 UTC
User jslagle@redhat.com's account has been closed

Comment 2 Clifford Perry 2007-11-02 18:06:54 UTC
Hi - are you still able to replicate this issue? 
the generic 'internal server error' could almost have been anything. 

Now, I did notice that you have the x86_64 arch stated. It is possible that the
box had an invalid 'em64t' package arch installed. There was a known bug where
systems with this arch installed caused traceback/ISE's within RHN Hosted. The
RHN Hosted has since changed the code to generate a friendly error stating that
this is an unsupported package arch. 

As such, I am going to close this bug out, due to lack of information. If you
find that you are still getting this issue, please feel free to re-open the bug,
with details, and then also open a support case to followup. 

Regards,
Cliff. 


Note You need to log in before you can comment on or make changes to this bug.